<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0                       http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<parent>
		<artifactId>gaes-framework</artifactId>
		<groupId>org.jerrymouse</groupId>
		<version>0.9</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>gaes-framework-test</artifactId>
	<name>GaeS framework test</name>

	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<configuration>
						<source>1.6</source>
						<target>1.6</target>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>

	<dependencies>
		<dependency>
			<groupId>org.apache.cactus</groupId>
			<artifactId>cactus.core.framework.uberjar.javaEE.15</artifactId>
			<version>1.8.1</version>
			<exclusions>
				<exclusion>
					<groupId>javax.servlet</groupId>
					<artifactId>servlet-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>tomcat</groupId>
					<artifactId>jasper-runtime</artifactId>
				</exclusion>
				<exclusion>
					<groupId>tomcat</groupId>
					<artifactId>jasper-compiler</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.cactus</groupId>
					<artifactId>cactus.core.framework.javaEE.13-14</artifactId>
				</exclusion>
				<exclusion>
					<groupId>javax.servlet</groupId>
					<artifactId>jsp-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-jms_1.1_spec</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-ejb_3.0_spec</artifactId>
				</exclusion>
				<exclusion>
					<groupId>commons-discovery</groupId>
					<artifactId>commons-discovery</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-ejb_2.1_spec</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.apache.geronimo.specs</groupId>
					<artifactId>geronimo-j2ee-management_1.0_spec</artifactId>
				</exclusion>
				<exclusion>
					<groupId>nekohtml</groupId>
					<artifactId>nekohtml</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.7</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.appengine</groupId>
			<artifactId>appengine-api-1.0-stubs</artifactId>
			<version>${appengine_version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.appengine</groupId>
			<artifactId>appengine-api-1.0-runtime</artifactId>
			<version>${appengine_version}</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.google.appengine</groupId>
			<artifactId>appengine-local-runtime-shared</artifactId>
			<version>${appengine_version}</version>
			<scope>provided</scope>
		</dependency>
	</dependencies>
	<repositories>
		<repository>
			<id>gaes</id>
			<url>http://gaestation.appspot.com/repository</url>
		</repository>
		<repository>
			<id>mvnsearch</id>
			<url>http://www.mvnsearch.org/maven2</url>
		</repository>
	</repositories>
</project>